VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Static Public Attributes
vmware::vapi::metadata::SourceType Class Reference

The `SourceType` enumerated type defines the types of sources for API metadata. More...

List of all members.

## Public Types
enum | Values { _UNKNOWN, FILE, REMOTE }
| C# enum whose values can be used in switch statements. More...
## Public Member Functions
bool | IsUnknown ()
Values | GetEnumValue ()
## Static Public Member Functions
static SourceType[] | GetValues ()
static SourceType | ValueOf (string name)
## Static Public Attributes
static readonly SourceType | FILE = new SourceType("FILE", Values.FILE)
| Indicates the metadata source is a JSON file.
static readonly SourceType | REMOTE = new SourceType("REMOTE", Values.REMOTE)
| Indicates the metadata source is a remote server.

## Detailed Description

The `SourceType` enumerated type defines the types of sources for API metadata.

You specify the type of source when adding a metadata source to a metadata service.

## Member Enumeration Documentation

enum vmware::vapi::metadata::SourceType::Values

C# enum whose values can be used in switch statements.

Ordinals have no semantic meaning (your code should not rely on them).

Enumerator:

  _UNKNOWN | Special enumeration constant which is used to represent constants that do not exist in the current enum binding. For example if a client sends a new constant to an older server, the server code will see this special constant, because its enum binding lacks the new constant.
  FILE | Indicates the metadata source is a JSON file.
  REMOTE | Indicates the metadata source is a remote server.

## Member Function Documentation

Values vmware::vapi::metadata::SourceType::GetEnumValue | ( |  | ) | `[inline]`

static SourceType [] vmware::vapi::metadata::SourceType::GetValues | ( |  | ) | `[inline, static]`

bool vmware::vapi::metadata::SourceType::IsUnknown | ( |  | ) | `[inline]`

static SourceType vmware::vapi::metadata::SourceType::ValueOf | ( | string | name | ) | `[inline, static]`

## Member Data Documentation

readonly SourceType vmware::vapi::metadata::SourceType::FILE = new SourceType("FILE", Values.FILE)`[static]`

Indicates the metadata source is a JSON file.

readonly SourceType vmware::vapi::metadata::SourceType::REMOTE = new SourceType("REMOTE", Values.REMOTE)`[static]`

Indicates the metadata source is a remote server.

The documentation for this class was generated from the following file:

- SourceType.cs